This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 787915 - xml: xmltex hash table collisions CPU usage DoS
xml: xmltex hash table collisions CPU usage DoS
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20150723,repor...
: Security
Depends On:
Blocks: hashdos/oCERT-2011-003 782164 787916
  Show dependency treegraph
 
Reported: 2012-02-06 21:53 EST by Kurt Seifried
Modified: 2015-07-24 04:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-25 16:15:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2012-02-06 21:53:17 EST
Juraj Somorovsky reported that certain XML parsers/servers are affected by the
same, or similar, flaw as the hash table collisions CPU usage denial of
service.  Sending a specially crafted message to an XML service can result in
longer processing time, which could lead to a denial of service.  It is
reported that this attack on XML can be applied on different XML nodes (such as
entities, element attributes, namespaces, various elements in the XML security,
etc.).

xmltex is written in TeX. xmltex appears to use the "group" array(ish) type to
store XML elements however it is unclear if this is vulnerable, it needs 
investigation.
Comment 1 Kurt Seifried 2012-02-06 21:54:31 EST
passivetex-1.25-11 uses xmltex
Comment 2 Ondrej Vasik 2012-02-07 01:41:33 EST
As a side note here, both - passivetex and xmltex packages are almost dead packages. No upstream, no future releases expected and now many upstream applications previously dependent on them started to use different things. Even the docbook stylesheets upstream plans to remove extra hacks for passivetex, so it is likely these packages will fade away soon.
Comment 6 Tomas Hoger 2013-07-25 16:15:08 EDT
I'm wontfixing this.  This issue never really got confirmed, and even if it is confirmed, it's impact does not justify fixing.

Note You need to log in before you can comment on or make changes to this bug.